#ifndef HATHOR_COMMON_HH
#define HATHOR_COMMON_HH
#include <sys/stat.h>
#include <cstdlib>
#include <termios.h>
#include <crypt.h>
#include <openssl/md5.h>

// Include boost
#include "boost/filesystem.hpp"
#include "boost/filesystem/operations.hpp"
#include "boost/filesystem/path.hpp"
#include "boost/progress.hpp"
#include "boost/lexical_cast.hpp"

int getch();
std::string getPass( const char * prompt, char h_ch);
inline bool is_empty_string(const std::string s);
bool is_hidden(const boost::filesystem::path &p);
void toLower( std::string &str );

#endif